Xabber builds failing


#1

I noticed recently that the version of Xabber in the FDroid repo is a bit outdated. It looks like it started failing at version 1.0.168 - not exactly ancient, but still far enough behind. I probably wouldn’t be bothered by the occasional failure, but it seems to be failing consistently now and it’s always the same error message (something about an “unknown maven repository”, whatever that is).

The build logs I’m looking at are linked from the FDroid wiki page on com.xabber.androiddev (https://f-droid.org/wiki/page/com.xabber.androiddev).

Has anyone had a chance to look into this?


#2

Ref: https://gitlab.com/fdroid/fdroiddata/issues/697


#3